#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run botje with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='botje',
    version='23',
    url='https://pikacode.com/milla/botje',
    author='Bart Thate',
    author_email='milla@dds.nl',
    description='xmpp, irc, shell, cli, json - email at milla@dds.nl',
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["distribute", "beautifulsoup4", "sleekxmpp", "natural", "feedparser", ],
    scripts=["bin/botje", "bin/outje", "bin/sedje", ],
    packages=['bot', 
              'bot.plugs',
             ],
    long_description = """ 

de mens is op aarde gezet om de aarde vorm te geven, door greep op de omstandigheden te krijgen.
niet om door de omstandigheden gemaakt te worden tot iets wat hij niet is.

1) evolutie boven creatie
2) enkeling boven groep
3) vrijheid boven gehoorzaamheid

---- leven

4) hemel of hel
5) waarheid of helpers
6) situatie waar je in zit
7) waarheid brenger / boodschap maker

---- dood

8) mens moet in vrijheid leven dus gehoorzaamheid is geen maatstaaf
9) de hemel of hel brenger moet er mee stoppen
10) ware leven op aarde

personal part:

1) time (evolution vs creation)
2) sacrifice lane (make the single takes the price of the group)
3) commands (freedom is the primary)

outside part:

4) religion (heaven or hell is based on obedience e.g. no free will)
5) future



""",
    data_files=[('docs', ["docs/zoishet", ]),],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
